Subject: Re: Why linux keeps connected routes when link goes down

From: Ханкин Константин<[email-masked]>
Date: Thu, 19 Feb 2009 11:22:12 +0500

> IP addresses are owned by the "host" rather than specific interfaces
> under Linux.  So just bringing an interface down does not disable
> IP addresses configured to that interface.
Well. Why routes are not in kernel table when interface is DOWN? And why 
routes are still alive if interface is UP, but not RUNNING?
I think it's right when I can't send anything through interface when there is 
no link. But now I have no link and a route to some network with the highest 
metric

--
Konstantin
E-mail [email-masked]
Jabber [email-masked]